Get by Name
curl "https://pulsedive.com/api/threat.php?threat=zeus"{
"tid": 123,
"threat": "<string>",
"category": "malware",
"othernames": [
"<string>"
],
"risk": "unknown",
"description": "<string>",
"notes": "<string>",
"wikisummary": "<string>",
"wikireference": "<string>",
"retired": true,
"stamp_added": "2017-09-27 18:11:38",
"stamp_updated": "2017-09-27 18:11:38",
"stamp_seen": "2017-09-27 18:11:38",
"stamp_retired": "2017-09-27 18:11:38",
"updated_last_domain": "2017-09-27 18:11:38",
"related": [
{
"tid": 123,
"name": "<string>",
"category": "malware",
"risk": "unknown",
"stamp_updated": "2025-09-15 07:48:30"
}
],
"attributes": {},
"ttps": [
{}
],
"news": [
{
"title": "<string>",
"channel": "<string>",
"icon": "<string>",
"link": "<string>",
"stamp": "2017-09-27 18:11:38",
"primary": 1
}
],
"comments": [
{
"cid": 123,
"username": "<string>",
"title": "<string>",
"comment": "<string>",
"stamp_added": "2017-09-27 18:11:38",
"stamp_updated": "2017-09-27 18:11:38"
}
],
"summary": {
"updated_last_domain": "2017-09-27 18:11:38",
"attributes": {
"technology": {},
"hosttype": {},
"protocol": {},
"port": {}
},
"properties": {},
"feeds": [
{
"fid": 123,
"organization": "<string>",
"name": "<string>",
"pricing": "free",
"category": "malware",
"indicators": 10
}
],
"risk": {
"unknown": 31,
"low": 17,
"medium": 20,
"high": 5,
"critical": 1,
"retired": 874,
"total": 1037,
"none": 89
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Threats
Get Threat by Name
Retrieve detailed threat intelligence information for a specific threat by looking up the threat’s name. To query links, retrieve the threat by ID instead.
GET
/
api
/
threat.php
Get by Name
curl "https://pulsedive.com/api/threat.php?threat=zeus"{
"tid": 123,
"threat": "<string>",
"category": "malware",
"othernames": [
"<string>"
],
"risk": "unknown",
"description": "<string>",
"notes": "<string>",
"wikisummary": "<string>",
"wikireference": "<string>",
"retired": true,
"stamp_added": "2017-09-27 18:11:38",
"stamp_updated": "2017-09-27 18:11:38",
"stamp_seen": "2017-09-27 18:11:38",
"stamp_retired": "2017-09-27 18:11:38",
"updated_last_domain": "2017-09-27 18:11:38",
"related": [
{
"tid": 123,
"name": "<string>",
"category": "malware",
"risk": "unknown",
"stamp_updated": "2025-09-15 07:48:30"
}
],
"attributes": {},
"ttps": [
{}
],
"news": [
{
"title": "<string>",
"channel": "<string>",
"icon": "<string>",
"link": "<string>",
"stamp": "2017-09-27 18:11:38",
"primary": 1
}
],
"comments": [
{
"cid": 123,
"username": "<string>",
"title": "<string>",
"comment": "<string>",
"stamp_added": "2017-09-27 18:11:38",
"stamp_updated": "2017-09-27 18:11:38"
}
],
"summary": {
"updated_last_domain": "2017-09-27 18:11:38",
"attributes": {
"technology": {},
"hosttype": {},
"protocol": {},
"port": {}
},
"properties": {},
"feeds": [
{
"fid": 123,
"organization": "<string>",
"name": "<string>",
"pricing": "free",
"category": "malware",
"indicators": 10
}
],
"risk": {
"unknown": 31,
"low": 17,
"medium": 20,
"high": 5,
"critical": 1,
"retired": 874,
"total": 1037,
"none": 89
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Query Parameters
Response
Successful request. Returns threat information in JSON format.
Indicates whether the threat is inactive or obsolete.
A threat is automatically retired if, in the past three months, it has not been:
- Reported using the Seen button in the Pulsedive UI
- Observed in any source feeds
- Submitted through the Analyze section of the Pulsedive UI
Pulsedive research can also retire threats manually.
When set to 1, this threat is retired.
When set to 0, this threat is active.
Was this page helpful?